コンテンツへスキップ

Workflow Utilities Blend Video

統合

モデルID workflow-utilities/blend-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/blend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $3.60 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Utility · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須
ファイルをドロップ、または

上位レイヤーとして使用する動画のURLです。

•必須
ファイルをドロップ、または

下位レイヤーとして使用する動画のURLです。

詳細設定 blend_mode · opacity · shortest
デフォルト overlay

動画の合成に使用するブレンド方法です。

デフォルト 1

上位レイヤーの不透明度。0.0~1.0です。

POST /run/workflow-utilities/blend-video?wait=20 見積もり → $3.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/blend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Workflow Utilities Blend Videoについて

オーバーレイ、乗算、差の絶対値、スクリーン系などのブレンドモード(全 23 モード、デフォルトはオーバーレイ)を使用して、上側と下側の動画を 1 本に合成します。`opacity` で上層の強度を 0~1 に設定します。`shortest` を有効にすると、短い方の入力が終了した時点で出力も終了します。

パラメータ

名前型 デフォルト許可される値 説明
top_video_url必須
型url · video
上位レイヤーとして使用する動画のURLです。
bottom_video_url必須
型url · video
下位レイヤーとして使用する動画のURLです。
blend_mode任意
型enum
デフォルトoverlay
additionaverageburndarkendifferencedividedodgeexclusiongrainextractgrainmergehardlightlightenmultiplynegationnormaloverlay
さらに7件phoenixpinlightreflectscreensoftlightsubtractvividlight
動画の合成に使用するブレンド方法です。
opacity任意
型number
デフォルト1
0 – 1
上位レイヤーの不透明度。0.0~1.0です。
shortest任意
型boolean
デフォルトtrue
最も短い入力が終了すると、出力を停止します。
必須

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/blend-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3600,
    "usd": "3.60",
    "charged": 3600,
    "refunded": 0
  },
  "input": {
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}入力をブレンドして生成された動画です。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/workflow-utilities/blend-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt